cURL
curl --request GET \
--url https://api.helohq.com/activity/messages \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Activity;
var paginatedMessages = await helo.Activity.ListMessages(channelId: "550e8400-e29b-41d4-a716-446655440000", after: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
start_date: "2024-01-01T00:00:00Z",
end_date: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mail_type: "transactional",
status: Helo::MessageStatus::QUEUED
}
Helo::Activity.list_messages(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_messages = client.activity.list_messages(
channel_id="550e8400-e29b-41d4-a716-446655440000",
after=10,
)package main
import (
"context"
"log"
"os"
"time"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ActivityListMessagesParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
After: 10,
StartDate: time.Now(),
EndDate: time.Now(),
Limit: 10,
Recipient: "example",
Subject: "example",
Tags: []string{"example1", "example2"},
MailType: "transactional",
Status: helo.MessageStatusQueued,
}
result, err := client.Activity.ListMessages(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.listMessages({
channelId: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
startDate: "2024-01-01T00:00:00Z",
endDate: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mailType: "transactional",
status: Helo.MessageStatus.QUEUED,
});{
"totalCount": 123,
"results": [
{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"mailType": "transactional",
"mailSource": "api",
"deliveryType": "live",
"status": "queued",
"subject": "<string>",
"recipients": [
"<string>"
],
"statistics": {
"delivered": 123,
"bounced": 123,
"opened": 123,
"clicked": 123,
"complained": 123,
"unsubscribed": 123
},
"tags": [
"<string>"
]
}
],
"after": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Activity
List messages
Retrieves a paginated list of sent messages with basic tracking information.
GET
/
activity
/
messages
cURL
curl --request GET \
--url https://api.helohq.com/activity/messages \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Activity;
var paginatedMessages = await helo.Activity.ListMessages(channelId: "550e8400-e29b-41d4-a716-446655440000", after: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
channel_id: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
start_date: "2024-01-01T00:00:00Z",
end_date: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mail_type: "transactional",
status: Helo::MessageStatus::QUEUED
}
Helo::Activity.list_messages(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_messages = client.activity.list_messages(
channel_id="550e8400-e29b-41d4-a716-446655440000",
after=10,
)package main
import (
"context"
"log"
"os"
"time"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ActivityListMessagesParams{
ChannelID: "550e8400-e29b-41d4-a716-446655440000",
After: 10,
StartDate: time.Now(),
EndDate: time.Now(),
Limit: 10,
Recipient: "example",
Subject: "example",
Tags: []string{"example1", "example2"},
MailType: "transactional",
Status: helo.MessageStatusQueued,
}
result, err := client.Activity.ListMessages(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.activity.listMessages({
channelId: "550e8400-e29b-41d4-a716-446655440000",
after: 10,
startDate: "2024-01-01T00:00:00Z",
endDate: "2024-01-01T00:00:00Z",
limit: 10,
recipient: "example",
subject: "example",
tags: ["example1", "example2"],
mailType: "transactional",
status: Helo.MessageStatus.QUEUED,
});{
"totalCount": 123,
"results": [
{
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"mailType": "transactional",
"mailSource": "api",
"deliveryType": "live",
"status": "queued",
"subject": "<string>",
"recipients": [
"<string>"
],
"statistics": {
"delivered": 123,
"bounced": 123,
"opened": 123,
"clicked": 123,
"complained": 123,
"unsubscribed": 123
},
"tags": [
"<string>"
]
}
],
"after": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x <= 100Available options:
transactional, broadcast Available options:
queued, sent